﻿@model IEnumerable<crm.ProjetWeb.Models.ProduitModel>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";
}





















<!-- Product Section Start -->
<div class="product-section section mt-90 mb-90">
    <div class="container">
        <div class="row">

            <div class="col-12">

                <div class="row mb-50">
                    <div class="col">

                        <!-- Shop Top Bar Start -->
                        <div class="shop-top-bar">

                            <!-- Product View Mode -->
                            <div class="product-view-mode">
                                <a class="active" href="#" data-target="grid"><i class="fa fa-th"></i></a>
                                <a href="#" data-target="list"><i class="fa fa-list"></i></a>
                            </div>

                            <!-- Product Showing -->
                            <div class="product-showing">
                                <p>Showing</p>
                                <select name="showing" class="nice-select">
                                    <option value="1">8</option>
                                    <option value="2">12</option>
                                    <option value="3">16</option>
                                    <option value="4">20</option>
                                    <option value="5">24</option>
                                </select>
                            </div>

                            <!-- Product Short -->
                            <div class="product-short">
                                <p>Short by</p>
                                <select name="sortby" class="nice-select">
                                    <option value="trending">Trending items</option>
                                    <option value="sales">Best sellers</option>
                                    <option value="rating">Best rated</option>
                                    <option value="date">Newest items</option>
                                    <option value="price-asc">Price: low to high</option>
                                    <option value="price-desc">Price: high to low</option>
                                </select>
                            </div>

                            <!-- Product Pages -->
                            <div class="product-pages">
                                <p>Pages 1 of 25</p>
                            </div>

                        </div><!-- Shop Top Bar End -->

                    </div>
                </div>

                <!-- Shop Product Wrap Start -->
                <!-- Shop Product Wrap Start -->


                <div class="shop-product-wrap grid row">



                    @foreach (var item in Model)
                    {


                        <div class="col-xl-3 col-lg-4 col-md-6 col-12 pb-30 pt-10">
                            <!-- Product Start -->
                            <div class="ee-product">

                                <!-- Image -->
                                <div class="image">

                                    <a href="~/ProduitFront/Details/@item.ProduitId" class="img">
                                        @{string path = "~/Content/Upload/" + @item.image;}
                                        @*enlever label for pour afficher seulement l'image*@
                                        <img src="@Url.Content(path)" width="320" height="270" />
                                    </a>

                                    <div class="wishlist-compare">
                                        <a href="#" data-tooltip="Compare"><i class="ti-control-shuffle"></i></a>
                                        <a href="#" data-tooltip="Wishlist"><i class="ti-heart"></i></a>
                                    </div>

                                    <a href="#" class="add-to-cart"><i class="ti-shopping-cart"></i><span>ADD TO CART</span></a>

                                </div>

                                <!-- Content -->
                                <div class="content">

                                    <!-- Category & Title -->
                                    <div class="category-title">

                                        <a href="#" class="cat">@Html.DisplayFor(modelItem => item.CatName)</a>
                                        <h5 class="title"><a href="single-product.html">@Html.DisplayFor(modelItem => item.nomProduit)</a></h5>

                                    </div>

                                    <!-- Price & Ratting -->
                                    <div class="price-ratting">

                                        <h5 class="price">@Html.DisplayFor(modelItem => item.prix) DT</h5>
                                        <div class="ratting">
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star-half-o"></i>
                                            <i class="fa fa-star-o"></i>
                                        </div>

                                    </div>

                                </div>

                            </div><!-- Product End -->
                            <!-- Product List Start -->
                            <div class="ee-product-list">

                                <!-- Image -->
                                <div class="image">

                                    <a href="" class="img">
                                        <img src="@Url.Content(path)" width="320" height="270" />
                                    </a>

                                </div>

                                <!-- Content -->
                                <div class="content">

                                    <!-- Category & Title -->
                                    <div class="head-content">

                                        <div class="category-title">
                                            <a href="#" class="cat"></a>
                                            <h5 class="title"><a href="single-product.html"></a></h5>
                                        </div>

                                        <h5 class="price"></h5>

                                    </div>

                                    <div class="left-content">

                                        <div class="ratting">
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star-half-o"></i>
                                            <i class="fa fa-star-o"></i>
                                        </div>

                                        <div class="desc">
                                            <p>@Html.DisplayFor(modelItem => item.description)</p>
                                        </div>

                                        <div class="actions">

                                            <a href="#" class="add-to-cart"><i class="ti-shopping-cart"></i><span>ADD TO CART</span></a>

                                            <div class="wishlist-compare">
                                                <a href="#" data-tooltip="Compare"><i class="ti-control-shuffle"></i></a>
                                                <a href="#" data-tooltip="Wishlist"><i class="ti-heart"></i></a>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="right-content">
                                        <div class="specification">
                                            <h5>Specifications</h5>
                                            <ul>
                                                <li>Intel Core i7 Processor</li>

                                                <li>16 GB RAM</li>
                                            </ul>
                                        </div>
                                        <span class="availability">Disponibilité: <span>en Stock</span></span>
                                    </div>

                                </div>

                            </div><!-- Product List End -->
                        </div><!-- Product List End -->



                                            }

                </div>
            </div><!-- Shop Product Wrap End -->











            <div class="row mt-30">
                <div class="col">

                    <ul class="pagination">
                        <li><a href="#"><i class="fa fa-angle-left"></i>Back</a></li>
                        <li><a href="#">1</a></li>
                        <li class="active"><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li> - - - - - </li>
                        <li><a href="#">18</a></li>
                        <li><a href="#">18</a></li>
                        <li><a href="#">20</a></li>
                        <li><a href="#">Next<i class="fa fa-angle-right"></i></a></li>
                    </ul>

                </div>
            </div>

        </div>

    </div>
</div>
